{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_B22  中间计量单_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "B22  中间计量单",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.5",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "5",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "CalculationType": "abstract",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand_up",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "CalculationType": "percentage",
                    "MergeBorder": "F",
                    "band_s": []
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "计算式不换行",
            "run_type": "before_analyzing",
            "expression": "let billsnumber = $JE.F(2120,$CURRENT_RPT); //中间计量编号\nlet fLen0 = $JE.getFieldDataLen(billsnumber, $CURRENT_DATA); //获取有多少个数据\nlet formula= $JE.F(2116,$CURRENT_RPT);\nfor(let i=0;i< fLen0 ;i++){\n\tlet tempString =  $JE.getFieldValue(formula, $CURRENT_DATA, i, 0); \n\tlet pos=tempString.indexOf('\\n');\n\tconsole.log(pos);\n\tlet sliceString=tempString.slice(pos+1).replace(/\\n/g,\"；\\t\");\n\tconsole.log(sliceString);\n\tlet newString=tempString.slice(0,pos+1)+sliceString;\n\t$JE.setFieldValue(formula, $CURRENT_DATA, i,newString);\t\n}",
            "format": ""
        },
        {
            "Name": "计算式说明分解",
            "run_type": "before_paging",
            "expression": "let zlCalcStatementField = $JE.F(2116,$CURRENT_RPT); //中间计量总量-计算式说明\nlet otherFields = [2103, 2104, 2105, 2110, 2113, 2126, 2107, 2123, 2118, 2115, 2117, 2125, 2199, 2109, 2120, 2140]; //其他需要duplicate的指标(不需要计算式说明)\n\nlet splitCols = 114, splitRows = 9; //预设置(A4纵向)分割行数与列数 (根据实际情况会有所调整)\n\nif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A4') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 4;\n\t\tsplitCols = 160;\n\t}\n} else if ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A3') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 9;\n\t\tsplitCols = 230;\n\t} else {\n\t\tsplitRows = 16;\n\t\tsplitCols = 160;\n\t}\n}\n\nlet statementArr = [];\nlet hasChange = false;\nfunction pushStrBySplitCols(orgArr, strStm) {\n\tlet sCnt = 0;\n\twhile (sCnt < strStm.length) {\n\t\tlet cnt = 0, curSCnt = sCnt;\n\t\tfor (let eIdx = sCnt; eIdx < strStm.length; eIdx++) {\n\t\t\tlet unicode = strStm.charCodeAt(eIdx);\n\t\t\tif (unicode > 255) {\n\t\t\t\tcnt += 2;\n\t\t\t} else {\n\t\t\t\tcnt++;\n\t\t\t}\n\t\t\tcurSCnt++;\n\t\t\tif (cnt >= splitCols) {\n\t\t\t\thasChange = true;\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t\t\n\t\torgArr.push(strStm.slice(sCnt, curSCnt));\n\t\tsCnt = curSCnt;\n\t}\n}\n\nlet dtLen = $JE.getFieldDataLen(zlCalcStatementField, $CURRENT_DATA);\nfor (let vIdx = 0; vIdx < dtLen; vIdx++) {\n\tlet statementStr = $JE.getFieldValue(zlCalcStatementField, $CURRENT_DATA, vIdx, '');\n\t//1. 把说明分割\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n\\r', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r', '|');\n\tlet statementValues = statementStr.split('|');\n\t//2. 根据 splitRows 来拓展分页\n\tlet stmForInsertArr = [], tempArr = [];\n\tlet addAmt = 0;\n\tfor (let sIdx = 0; sIdx < statementValues.length; sIdx++) {\n\t\t//考虑到splitCols参量，需要再一次分解\n\t\tpushStrBySplitCols(tempArr, statementValues[sIdx]);\n\t}\n\tlet tempArr2 = [];\n\tfor (let sIdx = 0; sIdx < tempArr.length; sIdx++) {\n\t\tif (sIdx === 0 || (sIdx % splitRows) !== 0) {\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t} else {\n\t\t\thasChange = true;\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t\ttempArr2 = [];\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t}\n\t\tif (sIdx === tempArr.length - 1) {\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t}\n\t}\n\tstatementArr.push(stmForInsertArr);\n}\n\n//插入新分割后的数据(如果有多的话)\n// b. 数量有变才有意义\nif (hasChange) {\n\t// 定义需要调整的指标集合\n\tfor (let fIdx = 0; fIdx < otherFields.length; fIdx++) {\n\t\totherFields[fIdx] = $JE.F(otherFields[fIdx],$CURRENT_RPT);\n\t}\n\t// 保存一下各个相关字段的原始值\n\tlet orgValuesArr = [];\n\tfor (const field of otherFields) {\n\t\torgValuesArr.push([]);\n\t}\n\tfor (let dupIdx = 0; dupIdx < dtLen; dupIdx++) {\n\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\torgValuesArr[fieldIdx].push($JE.getFieldValue(otherFields[fieldIdx], $CURRENT_DATA, dupIdx, ''));\n\t\t}\n\t}\n\t// 进入实际操作\n\tlet cnt = 0;\n\tfor (let dupIdx = 0; dupIdx < statementArr.length; dupIdx++) {\n\t\tfor (let ddIdx = 0; ddIdx < statementArr[dupIdx].length; ddIdx++) {\n\t\t\t$JE.setFieldValue(zlCalcStatementField, $CURRENT_DATA, cnt, statementArr[dupIdx][ddIdx]);\n\t\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\t\t$JE.setFieldValue(otherFields[fieldIdx], $CURRENT_DATA, cnt, orgValuesArr[fieldIdx][dupIdx]);\n\t\t\t}\n\t\t\tcnt++;\n\t\t}\n\t}\n}\n\n\n",
            "format": ""
        },
        {
            "Name": "表头编号",
            "run_type": "before_paging",
            "expression": "let billsnumber = $JE.F(2120,$CURRENT_RPT); //中间计量编号\nlet phaseid= $JE.F(1300,$CURRENT_RPT);\nlet bn = $JE.F(12068,$CURRENT_RPT);   //拼接结果\n\nlet fLen0 = $JE.getFieldDataLen(billsnumber, $CURRENT_DATA); //获取有多少个数据\n\nlet vals = $JE.getFieldValueArray(billsnumber, $CURRENT_DATA);\n\nlet p = $JE.getFieldValue(phaseid, $CURRENT_DATA, 0, ''); \nif (p && parseInt(p) < 10) {\n\tp = '-' + '0' + p;\n} else {\n\tp = '-' + p;\n}\nfor (let iIdx = 0; iIdx < fLen0; iIdx++) {\n\tlet val1 = $JE.getFieldValue(billsnumber, $CURRENT_DATA, iIdx, 0); \n\t$JE.setFieldValue(bn, $CURRENT_DATA, iIdx, val1 + p); \n}\n\n",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "B22 中间计量单",
                        "font": "ReportTitle_Main",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100",
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "62.5",
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "62.5",
                            "Top": "60",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": 100,
                            "Top": "20",
                            "Bottom": "60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12068,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编    号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": 100,
                            "Top": "60",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 2104,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "37.5",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2105,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.5",
                            "Right": "25",
                            "Top": "16",
                            "Bottom": "32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2110,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "37.5",
                            "Right": 100,
                            "Top": "16",
                            "Bottom": "32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2113,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.5",
                            "Right": 100,
                            "Top": "32",
                            "Bottom": "48",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2199,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.5",
                            "Right": 100,
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2107,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "37.5",
                            "Right": "50",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2123,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": "75",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2199,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.5",
                            "Right": 100,
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2118,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "25",
                            "Right": "50",
                            "Top": "84",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2115,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "75",
                            "Right": 100,
                            "Top": "84",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2109,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": "75",
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2140,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.5",
                            "Right": "50",
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "子目名称",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "25",
                            "Right": "37.5",
                            "Top": 0,
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计量单位",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.5",
                            "Top": "16",
                            "Bottom": "32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "起讫桩号",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "25",
                            "Right": "37.5",
                            "Top": "16",
                            "Bottom": "32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计量部位",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.5",
                            "Top": "32",
                            "Bottom": "48",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "原设计数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.5",
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "62.5",
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "废置数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75",
                            "Right": "87.5",
                            "Top": "48",
                            "Bottom": "64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "上期末累计|计量数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.5",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "本期|计量数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "25",
                            "Right": "37.5",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "本期末|计量数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "62.5",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "剩余数量",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "75",
                            "Right": "87.5",
                            "Top": "64",
                            "Bottom": "84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更令（废置）编号",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "25",
                            "Top": "84",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中间交工证书",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "50",
                            "Right": "75",
                            "Top": "84",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "子目编号",
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.5",
                            "Top": 0,
                            "Bottom": "16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand_up",
                "discrete_field_s": [
                    {
                        "FieldID": 2116,
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "0.6",
                            "Bottom": "25",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "abstract",
                                "Bottom": "percentage"
                            }
                        }
                    },
                    {
                        "FieldID": 2117,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "29",
                            "Bottom": "46",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12062,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "46",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12063,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "71",
                            "Bottom": "75",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12064,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2199,
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "54",
                            "Bottom": "71",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2199,
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "0",
                            "Right": 100,
                            "Top": "79",
                            "Bottom": "96",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计算公式：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "0",
                            "Bottom": "0.6",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": {
                                "Top": "percentage",
                                "Bottom": "abstract"
                            }
                        }
                    },
                    {
                        "Label": "计算草图：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "25",
                            "Bottom": "29",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "项目技术负责人：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62.5",
                            "Top": "46",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "50",
                            "Bottom": "54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "62.5",
                            "Top": "71",
                            "Bottom": "75",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年    月   日",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "85",
                            "Right": 100,
                            "Top": "71",
                            "Bottom": "75",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "75",
                            "Bottom": "79",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "62.5",
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年    月   日",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "85",
                            "Right": 100,
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "年    月   日",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "85",
                            "Right": 100,
                            "Top": "46",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "46",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "71",
                            "Bottom": "75",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "62.5",
                            "Right": "85",
                            "Top": "96",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 2103,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "Prefix": "",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "12.5",
                        "Right": "25",
                        "Top": 0,
                        "Bottom": "16",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2126,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "12.5",
                        "Right": "25",
                        "Top": "64",
                        "Bottom": "84",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'order')",
                "descr": "",
                "Title": "ID: 1300"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2103,
                "Name": "中间计量总量信息_编号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'code')",
                "descr": "",
                "Title": "ID: 2103"
            },
            {
                "ID": 2104,
                "Name": "中间计量总量信息_名称",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'name')",
                "descr": "",
                "Title": "ID: 2104"
            },
            {
                "ID": 2105,
                "Name": "中间计量总量信息_单位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'unit')",
                "descr": "",
                "Title": "ID: 2105"
            },
            {
                "ID": 2110,
                "Name": "中间计量总量信息_起止桩号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'peg')",
                "descr": "",
                "Title": "ID: 2110"
            },
            {
                "ID": 2113,
                "Name": "中间计量总量信息_部位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'bw')",
                "descr": "",
                "Title": "ID: 2113"
            },
            {
                "ID": 2126,
                "Name": "中间计量总量信息_截止上期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'pre_jl')",
                "descr": "",
                "Title": "ID: 2126",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2107,
                "Name": "中间计量总量信息_本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'jl')",
                "descr": "",
                "Title": "ID: 2107",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2123,
                "Name": "中间计量总量信息_截止本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'end_jl')",
                "descr": "",
                "Title": "ID: 2123",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2118,
                "Name": "中间计量总量信息_变更令号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'bgl_code')",
                "descr": "",
                "Title": "ID: 2118"
            },
            {
                "ID": 2115,
                "Name": "中间计量总量信息_凭证号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'doc_code')",
                "descr": "",
                "Title": "ID: 2115"
            },
            {
                "ID": 2116,
                "Name": "中间计量总量信息_计算式说明",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'calc_memo')",
                "descr": "",
                "Title": "ID: 2116"
            },
            {
                "ID": 2117,
                "Name": "中间计量总量信息_草图",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'calc_img')",
                "descr": "",
                "Title": "ID: 2117",
                "isPic": true
            },
            {
                "ID": 2125,
                "Name": "中间计量总量信息_截止本期变更数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'end_qc_jl')",
                "descr": "",
                "Title": "ID: 2125",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2199,
                "Name": "中间计量总量信息_空白",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getBlank('mem_stage_im_zl', '')",
                "descr": "",
                "Title": "ID: 2199"
            },
            {
                "ID": 2109,
                "Name": "中间计量总量信息_本期变更数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'qc_jl')",
                "descr": "",
                "Title": "ID: 2109",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2120,
                "Name": "中间计量总量信息_中间计量表号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'im_code')",
                "descr": "",
                "Title": "ID: 2120"
            },
            {
                "ID": 2140,
                "Name": "中间计量总量信息_台账数据数量",
                "DataType": "double",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'quantity')",
                "descr": "",
                "Title": "ID: 2140"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12068,
            "Name": "表头编号",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12065,
            "Name": "项目技术负责人_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12066,
            "Name": "监理员_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12067,
            "Name": "监理组组长_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12062,
            "Name": "项目技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12063,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12064,
            "Name": "监理组组长",
            "DataType": "string"
        }
    ]
}