{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_封面_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "封面",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.5",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "4.95",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.90",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "日期的转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1301,$CURRENT_RPT);\nlet rpt2 = $JE.F(1104,$CURRENT_RPT);\n\n//let newShiJian = $JE.F(12108,$CURRENT_RPT);\n\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\" 年 \"+shiJian[1]+\" 月\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}\n\nconsole.log($JE.getFieldValue(rpt2, $CURRENT_DATA, 0, ''));",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "T",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "27",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "61",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "            ",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "0",
                            "Bottom": "61",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1102,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "25",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Prefix": "第 ",
                        "Suffix": " 合同段",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "14",
                            "Bottom": "39",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "月  支  付  报  表",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "T",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "65",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "54",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "     ",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "14",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "   ",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "39",
                            "Bottom": "54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1300,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Prefix": "第 ",
                        "Suffix": " 期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "22.96",
                            "Bottom": "33.09",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "42",
                            "Right": 100,
                            "Top": "54.57",
                            "Bottom": "63.46",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "（第一册）",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "25",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "8.89",
                            "Bottom": "19.01",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承  包  单  位：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "42",
                            "Top": "37.04",
                            "Bottom": "45.93",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监  理  单  位：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "42",
                            "Top": "45.93",
                            "Bottom": "54.57",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业          主：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "42",
                            "Top": "54.57",
                            "Bottom": "63.46",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "支 付 证 书 号：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "42",
                            "Top": "63.46",
                            "Bottom": "71.85",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "编  制  时  间：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "15",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "42",
                            "Top": "71.85",
                            "Bottom": "80.74",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 1134,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "15",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": "100",
                        "Top": "37.04",
                        "Bottom": "45.93",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1140,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "15",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": "100.00",
                        "Top": "45.93",
                        "Bottom": "54.57",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1104,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "15",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": "100",
                        "Top": "54.57",
                        "Bottom": "63.46",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1300,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "15",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": 100,
                        "Top": "63.46",
                        "Bottom": "71.85",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1301,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "15",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "42",
                        "Right": 100,
                        "Top": "71.85",
                        "Bottom": "80.74",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1105,
                "Name": "标段_建设单位法人代表",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.corporation')",
                "descr": "",
                "Title": "ID: 1105"
            },
            {
                "ID": 1106,
                "Name": "标段_建设时间",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.date')",
                "descr": "",
                "Title": "ID: 1106"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1301,
                "Name": "期计量信息_计量时间",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"s_time\")",
                "descr": "",
                "Title": "ID: 1301"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": []
}