{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表14 中间计量汇总表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表14 中间计量汇总表",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.8",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "0.8",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "LastPage",
                    "Height": "0.6",
                    "Name": "GrandTotalBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "//峨山县定制 综合设置\nlet zlBillsCodeField = $JE.F(2103,$CURRENT_RPT) //中间计量总量 清单代码\n\t;\n\t\nlet newRowBillCodeField = $JE.F(12104,$CURRENT_RPT) //新分组判断指标\n\t;\n\nlet fLen0 = $JE.getFieldDataLen(zlBillsCodeField, $CURRENT_DATA);\nconst propPrefix = '_';\nlet chapterCodeArr = [];\nlet chapterCodeIdxArr = [];\n\n//遍历总量清单，根据代码提取章号(100~1300)\nfor (let iIdx = 0; iIdx < fLen0; iIdx++) {\n\tlet bCode = $JE.getFieldValue(zlBillsCodeField, $CURRENT_DATA, iIdx, '');\n\tlet firstIdx = bCode.indexOf('-');\n\tlet codeKey = '';\n\tif (firstIdx === 3) {\n\t\tif(!isNaN(parseInt(bCode.slice(0,1)))){\n\t\t\tcodeKey = propPrefix + parseInt(bCode.slice(0,1)) * 100; //'-'符号前有三位数，表示<1000章\n\t\t}\n\t} else if (firstIdx === 4) {\n\t\tif(!isNaN(parseInt(bCode.slice(0,1)))){\n\t\t\tcodeKey = propPrefix + parseInt(bCode.slice(0,2)) * 100; //'-'符号前有四位数，则表示>=1000章\n\t\t}\n\t}\n\tchapterCodeArr.push(codeKey);\n\tchapterCodeIdxArr.push(iIdx);\n\t$JE.setFieldValue(newRowBillCodeField, $CURRENT_DATA, iIdx, codeKey);\n}\n//console.log(chapterCodeArr);\n\n//这里简单排序，如果用独立指标来显示数据的话，这个排序就派上用场，否则就是默认的顺序\nchapterCodeIdxArr.sort(function(idx1, idx2) {\n\treturn (chapterCodeArr[idx1] - chapterCodeArr[idx2]);\n});\n//根据实际方案，提取原始数据到独立指标去。\n//。。。",
            "format": ""
        },
        {
            "Name": "分组txt调整",
            "run_type": "before_group_text_output",
            "expression": "let newRowBillCodeField = $JE.F(12104,$CURRENT_RPT); //新分组判断指标, 用来做前缀\n\nlet fLen0 = $JE.getFieldDataLen(newRowBillCodeField, $CURRENT_DATA);\n\nif ($TEXT.Label && $TEXT.Label.indexOf('小计') >= 0) {\n\tif (!$TEXT.hasOwnProperty('accCount')) {\n\t\t$TEXT.accCount = 0; //考虑到跨页的情况，需要额外的下标计数器来处理, $TIMES是不足够的\n\t}\n\tlet sumIdx = $TEXT.Label.indexOf('小计');\n\tlet preVal = $JE.getFieldValue(newRowBillCodeField, $CURRENT_DATA, 0, '');\n\tlet fLen0 = $JE.getFieldDataLen(newRowBillCodeField, $CURRENT_DATA);\n\tlet gIdx;\n\tif ($TEXT.accCount > 0 && fLen0 > 1) {\n\t\tlet cnt = 0;\n\t\tfor (gIdx = 1; gIdx < fLen0; gIdx++) {\n\t\t\tif (preVal !== $JE.getFieldValue(newRowBillCodeField, $CURRENT_DATA, gIdx, '')) {\n\t\t\t\tcnt++;\n\t\t\t\tpreVal = $JE.getFieldValue(newRowBillCodeField, $CURRENT_DATA, gIdx, '');\n\t\t\t}\n\t\t\tif (cnt === $TEXT.accCount) {\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t}\n\tif (preVal !== '') {\n\t\t$TEXT.Label = preVal.slice(1) + '章' + $TEXT.Label.slice(sumIdx);\n\t}else{\n\t\t$TEXT.Label = '其他章' + $TEXT.Label.slice(sumIdx);\n\t}\n\t$TEXT.accCount++;\n}",
            "format": ""
        },
        {
            "Name": "合计金额",
            "run_type": "before_paging",
            "expression": "let benQiJiLiang = $JE.F(2127,$CURRENT_RPT); //本期计量金额\nlet zlBillsCodeField_ht = $JE.F(2128,$CURRENT_RPT) ;//本期合同金额\nlet zlBillsCodeField_bg = $JE.F(2129,$CURRENT_RPT) ;//本期变更金额\n\nlet totalFee = $JE.F(12106,$CURRENT_RPT);//新增合计指标 \n\nlet totalRreci = $JE.F(1156,$CURRENT_RPT);//金额的精度\n\nlet jingdu = $JE.getFieldValue(totalRreci,$CURRENT_DATA,0,0);\n\nlet sumValue = 0; \nlet fLen0 = $JE.getFieldDataLen(benQiJiLiang, $CURRENT_DATA);\n\nfor (let chkIdx = 0; chkIdx < fLen0; chkIdx++) {\n\tif($JE.getFieldValue(benQiJiLiang,$CURRENT_DATA,chkIdx,0)){\n\t\tlet bqwc = 0;\n\t\tlet ht = $JE.getFieldValue(zlBillsCodeField_ht,$CURRENT_DATA,chkIdx,0);\n\t\tlet bg = $JE.getFieldValue(zlBillsCodeField_bg,$CURRENT_DATA,chkIdx,0);\n\t\tbqwc = $CTX_HELPER.add(Math.round(parseFloat(ht)*Math.pow(10,jingdu))/Math.pow(10,jingdu),Math.round(parseFloat(bg)*Math.pow(10,jingdu))/Math.pow(10,jingdu));\n\t\tsumValue = $CTX_HELPER.add(sumValue,bqwc);\n\t}\n}\n\n$JE.setFieldValue(totalFee,$CURRENT_DATA,0,sumValue);",
            "format": ""
        },
        {
            "Name": "截至日期转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet newShiJian = $JE.F(12108,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(newShiJian, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "本期金额修改",
            "run_type": "before_paging",
            "expression": "//峨山县定制 综合设置\nlet zlBillsCodeField = $JE.F(2127,$CURRENT_RPT) ;//本期完成金额\nlet zlBillsCodeField_ht = $JE.F(2128,$CURRENT_RPT) ;//本期合同金额\nlet zlBillsCodeField_bg = $JE.F(2129,$CURRENT_RPT) ;//本期变更金额\n\nlet totalRreci = $JE.F(1156,$CURRENT_RPT);//金额的精度\nlet jingdu = $JE.getFieldValue(totalRreci,$CURRENT_DATA,0,0);\n\nlet fLen0 = $JE.getFieldDataLen(zlBillsCodeField, $CURRENT_DATA);\n\nfor(let i = 0; i< fLen0 ;i++){\n\tlet bqwc = 0;\n\tlet ht = $JE.getFieldValue(zlBillsCodeField_ht,$CURRENT_DATA,i,0);\n\tlet bg = $JE.getFieldValue(zlBillsCodeField_bg,$CURRENT_DATA,i,0);\n\tbqwc = $CTX_HELPER.add(Math.round(parseFloat(ht)*Math.pow(10,jingdu))/Math.pow(10,jingdu),Math.round(parseFloat(bg)*Math.pow(10,jingdu))/Math.pow(10,jingdu));\n\t\n\t$JE.setFieldValue(zlBillsCodeField,$CURRENT_DATA,i,bqwc);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表14 中间计量支付汇总表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "56",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "88",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合 同 号:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "88",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5010",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Default_Value": "第 X 页",
                        "area": {
                            "Left": "88",
                            "Right": "94",
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": "5011",
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Default_Value": "共 Y 页",
                        "area": {
                            "Left": "94",
                            "Right": 100,
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "项目名称:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "56",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编    号:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "56",
                            "Right": "88",
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12108,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截至日期:",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "56",
                            "Top": "66.66",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12058,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "5",
                            "Right": "22.5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12059,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12060,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "54",
                            "Right": "71",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12061,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.5",
                            "Right": "28",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46",
                            "Right": "54",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "71",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "GrandTotalBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12106,
                        "font": "Content",
                        "control": "Currency",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "88",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "合计",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "10",
                            "Right": "40",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "10",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "40",
                            "Right": "56",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "56",
                            "Right": "64",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "64",
                            "Right": "76",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "76",
                            "Right": "88",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "项目编号",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "10",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项 目 名 称",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "10",
                        "Right": "40",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "凭证号",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "40",
                        "Right": "56",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单位",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "56",
                        "Right": "64",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "数量",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "64",
                        "Right": "76",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "单价",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "76",
                        "Right": "88",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88",
                        "Right": 100,
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.6",
            "flow_field_s": [
                {
                    "FieldID": 2103,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "10",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2104,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "10",
                        "Right": "40",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2115,
                    "font": "Content",
                    "control": "NewContent_Left",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "40",
                        "Right": "56",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2105,
                    "font": "Content",
                    "control": "NewContent_Center",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "56",
                        "Right": "64",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2106,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "76",
                        "Right": "88",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2127,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "88",
                        "Right": 100,
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2107,
                    "font": "Content",
                    "control": "Currency",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "64",
                        "Right": "76",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [
                {
                    "FieldID": 12104
                }
            ],
            "sum_field_s": [
                {
                    "FieldID": 2127,
                    "SumKey": "中间计量总量信息_本期金额"
                }
            ],
            "group_lines": [
                {
                    "SumKey_S": [
                        {
                            "FieldID": 2127,
                            "font": "Content",
                            "control": "Currency",
                            "style": "Default_Normal",
                            "Prefix": "",
                            "isAutoHeight": false,
                            "area": {
                                "Left": "88",
                                "Right": "100",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            },
                            "SumKey": "中间计量总量信息_本期金额"
                        }
                    ],
                    "text_s": [
                        {
                            "Label": "小计",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "10",
                                "Right": "40",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": 0,
                                "Right": "10",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "40",
                                "Right": "56",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "56",
                                "Right": "64",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "64",
                                "Right": "76",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        },
                        {
                            "Label": "",
                            "font": "Content",
                            "control": "Column",
                            "style": "Default_Normal",
                            "Title": "",
                            "area": {
                                "Left": "76",
                                "Right": "88",
                                "Top": 0,
                                "Bottom": 100,
                                "H_CalculationType": "percentage",
                                "V_CalculationType": "percentage"
                            }
                        }
                    ]
                }
            ]
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 Y 页"
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'order')",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1310,
                "Name": "期计量信息_开始截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'period')",
                "descr": "",
                "Title": "ID: 1310"
            },
            {
                "ID": 1103,
                "Name": "标段_编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1156,
                "Name": "标段_小数位数_金额",
                "DataType": "int",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")",
                "descr": "",
                "Title": "ID: 1156"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2103,
                "Name": "中间计量总量信息_编号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'code')",
                "descr": "",
                "Title": "ID: 2103"
            },
            {
                "ID": 2104,
                "Name": "中间计量总量信息_名称",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'name')",
                "descr": "",
                "Title": "ID: 2104"
            },
            {
                "ID": 2115,
                "Name": "中间计量总量信息_凭证号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'doc_code')",
                "descr": "",
                "Title": "ID: 2115"
            },
            {
                "ID": 2105,
                "Name": "中间计量总量信息_单位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'unit')",
                "descr": "",
                "Title": "ID: 2105"
            },
            {
                "ID": 2106,
                "Name": "中间计量总量信息_单价",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'unit_price')",
                "descr": "",
                "Title": "ID: 2106",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.up')"
                }
            },
            {
                "ID": 2127,
                "Name": "中间计量总量信息_本期金额",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.COMMON.Multiply($PROJECT.REPORT.getProperty('mem_stage_im_zl', 'jl'),$PROJECT.REPORT.getProperty('mem_stage_im_zl', 'unit_price'),6)",
                "descr": "",
                "Title": "ID: 2127",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal.tp')"
                }
            },
            {
                "ID": 2107,
                "Name": "中间计量总量信息_本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"jl\")",
                "descr": "",
                "Title": "ID: 2107",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 2128,
                "Name": "中间计量总量信息_本期合同金额",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.COMMON.Multiply($PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"contract_jl\"),$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"unit_price\"),6)",
                "descr": "",
                "Title": "ID: 2128",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2129,
                "Name": "中间计量总量信息_本期变更金额",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.COMMON.Multiply($PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"qc_jl\"),$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"unit_price\"),6)",
                "descr": "",
                "Title": "ID: 2129",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12104,
            "Name": "新分组判断指标",
            "DataType": "string"
        },
        {
            "ID": 12106,
            "Name": "汇总金额",
            "DataType": "string"
        },
        {
            "ID": 12108,
            "Name": "新截至日期",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": [
        {
            "ID": 12058,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12059,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12060,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12061,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}