{
    "ID_KEY": "DUMMY_FLOW_SAMPLE",
    "GROUP_KEY": "RPT_支表2 中期支付证书_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "支表2 中期支付证书",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.6",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.80",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.6",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "1.80",
                    "Name": "ColumnBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\n let dt = new Date();\n rpt.Default_Value = dt.Format($ME.format);\n rpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getCurrentPage($CURRENT_RPT));\n ttp = null;",
            "format": "第 ($S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\n ttp.Default_Value = $ME.format.replace('($S)',$JE.getTotalPage($CURRENT_RPT));\n ttp = null;",
            "format": "共 ($S) 页"
        },
        {
            "Name": "桩号长度合并",
            "run_type": "before_paging",
            "expression": "let startMilestoneField = $JE.F(1130,$CURRENT_RPT)\n\t, endMilestoneField = $JE.F(1131,$CURRENT_RPT)\n\t, roadLengthField = $JE.F(1152,$CURRENT_RPT)\n\t;\nlet dispParam = $JE.P(12106,$CURRENT_RPT);\nlet dftSpace = '   ';\nlet value = '由' + dftSpace + $JE.getFieldValue(startMilestoneField, $CURRENT_DATA, 0, '') + dftSpace + '至' + dftSpace + $JE.getFieldValue(endMilestoneField, $CURRENT_DATA, 0, '') + dftSpace + '全长' + dftSpace + $JE.getFieldValue(roadLengthField, $CURRENT_DATA, 0, 0) + dftSpace + '公里';\ndispParam.Default_Value = value;",
            "format": ""
        },
        {
            "Name": "清单号加后缀",
            "run_type": "before_paging",
            "expression": "let zhangJie_num = $JE.F(2801,$CURRENT_RPT); \n\nlet fLen0 = $JE.getFieldDataLen(zhangJie_num, $CURRENT_DATA);\n\nfor(let i = 0 ; i < fLen0 ; i++){\n\tlet new_zhangJie_num = $JE.getFieldValue(zhangJie_num, $CURRENT_DATA, i, '');\n\tif(new_zhangJie_num !== ''){\n\t\t$JE.setFieldValue(zhangJie_num,$CURRENT_DATA,i,new_zhangJie_num + '章');\n\t}\n}\n",
            "format": ""
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let tp1 = $JE.F(2827,$CURRENT_RPT); //tp1\nlet tp2 = $JE.F(2828,$CURRENT_RPT); //tp2\n\nlet tp4 = $JE.F(2830,$CURRENT_RPT); //tp4\nlet tp5 = $JE.F(2831,$CURRENT_RPT); //tp5\nlet tp6 = $JE.F(2832,$CURRENT_RPT); //tp6\nlet qy_price = $JE.F(2833,$CURRENT_RPT); //tp7\nlet bg_price = $JE.F(2834,$CURRENT_RPT); //tp8\nlet bgh_price = $JE.F(2835,$CURRENT_RPT); //tp9\n\nlet str1 = $JE.F(2801,$CURRENT_RPT); //str1\n\nlet name = $JE.F(2802,$CURRENT_RPT); //name\nlet fLen0 = $JE.getFieldDataLen(name, $CURRENT_DATA);\n\nfor(let i = 0; i < fLen0; i++){\n\tlet name1 = $JE.getFieldValue(name, $CURRENT_DATA, i, '');\n\tif(name1 === '暂定金额'){\n\t\tlet tp1_qy = $JE.getFieldValue(tp1, $CURRENT_DATA, i, 0);\n\t\tlet tp1_bg = $JE.getFieldValue(tp2, $CURRENT_DATA, i, 0);\n\t\t\n\t\t$JE.setFieldValue(qy_price,$CURRENT_DATA,i,tp1_qy);\n\t\t$JE.setFieldValue(bg_price,$CURRENT_DATA,i,tp1_bg);\n\t}\n\tif(name1 === '工程结算价款'){\n\t\t$JE.setFieldValue(qy_price,$CURRENT_DATA,i,0);\n\t\t$JE.setFieldValue(bg_price,$CURRENT_DATA,i,0);\n\t}\n}\n\nlet total_qy_price = 0;\nlet total_bg_price = 0;\nfor(let i = 0; i < fLen0; i++){\n\ttotal_qy_price = $CTX_HELPER.add(total_qy_price, $JE.getFieldValue(qy_price, $CURRENT_DATA, i, 0));\n\ttotal_bg_price = $CTX_HELPER.add(total_bg_price, $JE.getFieldValue(bg_price, $CURRENT_DATA, i, 0));\n}\n\n//给“合计”行赋值\nfor(let i = 0; i < fLen0; i++){\n\tlet name1 = $JE.getFieldValue(name, $CURRENT_DATA, i, '');\n\tif(name1 === '合计'){\n\t\t$JE.setFieldValue(qy_price,$CURRENT_DATA,i,total_qy_price);\n\t\t$JE.setFieldValue(bg_price,$CURRENT_DATA,i,total_bg_price);\n\t}\n}\n\n//最后给变更后总金额列赋值\nfor(let i = 0; i < fLen0; i++){\n\tlet qy = $JE.getFieldValue(qy_price, $CURRENT_DATA, i, '');\n\tlet bg = $JE.getFieldValue(bg_price, $CURRENT_DATA, i, '');\n\t\n\t$JE.setFieldValue(bgh_price,$CURRENT_DATA,i, $CTX_HELPER.add(qy,bg));\n}\n\nfor(let i = 0; i < fLen0; i++){\n\tlet name1 = $JE.getFieldValue(name, $CURRENT_DATA, i, '');\n\tif(name1 === '未计入章节清单项'){\n\t\tif($JE.getFieldValue(tp6, $CURRENT_DATA, i, 0) === 0 && $JE.getFieldValue(bgh_price, $CURRENT_DATA, i, 0) === 0){\n\t\t\t$JE.removeFieldValue(str1, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(name, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(qy_price, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(bg_price, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(bgh_price, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(tp4, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(tp5, $CURRENT_DATA, i);\n\t\t\t$JE.removeFieldValue(tp6, $CURRENT_DATA, i);\n\t\t}\n\t}\n}\n",
            "format": ""
        },
        {
            "Name": "截止日期转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        }
    ],
    "流水式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "支表2 中期支付证书",
                        "font": "ReportTitle_Main",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1312,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "截至日期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "39.35",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1134,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "39.35",
                            "Right": "76.41",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "39.35",
                            "Right": "76.41",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.41",
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编  号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.41",
                            "Right": "100.00",
                            "Top": "33.33",
                            "Bottom": "66.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12106,
                        "font": "Header",
                        "control": "Title",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "66.66",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Header",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "项目名称：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "39.35",
                            "Top": 0,
                            "Bottom": "33.33",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "FooterBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12113,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "5",
                            "Right": "22.5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12114,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "28",
                            "Right": "46",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12115,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "54",
                            "Right": "71",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12116,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "82",
                            "Right": "100",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "5",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理员：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "22.5",
                            "Right": "28",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理组组长：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46",
                            "Right": "54",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主（业主代表）：",
                        "font": "Content",
                        "control": "Footer",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "71",
                            "Right": "82",
                            "Top": 0,
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "流水式表_列": {
            "BandName": "ColumnBand",
            "text_s": [
                {
                    "Label": "清单号",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": 0,
                        "Right": "8.12",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "项目内容",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "8.12",
                        "Right": "26.4",
                        "Top": 0,
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "合同价及变更金额",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "26.4",
                        "Right": "64.66",
                        "Top": 0,
                        "Bottom": "33.82",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "原有总金额（人名币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "26.4",
                        "Right": "39.35",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "A",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "26.4",
                        "Right": "39.35",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更金额（人民币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "39.35",
                        "Right": "51.19",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "B",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "39.35",
                        "Right": "51.19",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "变更后总金额（人民币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "51.19",
                        "Right": "64.66",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "C",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "51.19",
                        "Right": "64.66",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到本期末完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "64.66",
                        "Right": "76.41",
                        "Top": 0,
                        "Bottom": "33.82",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额（人民币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "64.66",
                        "Right": "76.41",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "D",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "64.66",
                        "Right": "76.41",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "到上期末完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "76.41",
                        "Right": "88.25",
                        "Top": 0,
                        "Bottom": "33.82",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额（人民币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "76.41",
                        "Right": "88.25",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "G",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "76.41",
                        "Right": "88.25",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "本期完成",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88.25",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "33.82",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "金额（人民币）",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88.25",
                        "Right": "100.00",
                        "Top": "33.82",
                        "Bottom": "66.18",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "Label": "J=D-G",
                    "font": "HeaderColumn",
                    "control": "Column",
                    "style": "Default_Normal",
                    "Title": "",
                    "area": {
                        "Left": "88.25",
                        "Right": "100.00",
                        "Top": "66.18",
                        "Bottom": "100.00",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "多列显示数量": 1,
        "流水式表_数据": {
            "BandName": "ContentBand",
            "CommonHeight": "0.532",
            "flow_field_s": [
                {
                    "FieldID": 2801,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "8.12",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2802,
                    "font": "Content",
                    "control": "Column",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "8.12",
                        "Right": "26.4",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2833,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "26.4",
                        "Right": "39.35",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2834,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "39.35",
                        "Right": "51.19",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2835,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "51.19",
                        "Right": "64.66",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2832,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "64.66",
                        "Right": "76.41",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2831,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "76.41",
                        "Right": "88.25",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 2830,
                    "font": "Content",
                    "control": "Column_Right",
                    "style": "Default_Normal",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "88.25",
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": 100,
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        },
        "流水式表_分组信息": {
            "group_field_s": [],
            "sum_field_s": [],
            "group_lines": []
        },
        "流水式表_段统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        },
        "流水式表_页统计信息": {
            "BandName": "",
            "sum_field_s": [],
            "text_s": []
        }
    },
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        },
        {
            "ID": 12106,
            "Name": "参数-起止桩号长度",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1002,
                "Name": "项目_名称",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getProperty('project', 'name')",
                "descr": "",
                "Title": "ID: 1002"
            },
            {
                "ID": 1102,
                "Name": "标段_合同号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.company')",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1103,
                "Name": "标段_编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealName')",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1132,
                "Name": "标段_标段清单_章节代码",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty('tender_info', 'chapter.code')",
                "descr": "",
                "Title": "ID: 1132"
            },
            {
                "ID": 1133,
                "Name": "标段_标段清单_章节名称",
                "DataType": "array",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getArrayProperty('tender_info', 'chapter.name')",
                "descr": "",
                "Title": "ID: 1133"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1130,
                "Name": "标段_技术参数_起点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startPeg\")",
                "descr": "",
                "Title": "ID: 1130"
            },
            {
                "ID": 1131,
                "Name": "标段_技术参数_终点桩号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.endPeg\")",
                "descr": "",
                "Title": "ID: 1131"
            },
            {
                "ID": 1152,
                "Name": "标段_技术参数_长度(KM)",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.loadLength\")",
                "descr": "",
                "Title": "ID: 1152"
            },
            {
                "ID": 1310,
                "Name": "期计量信息_开始截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'period')",
                "descr": "",
                "Title": "ID: 1310"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty('stage', 'period', ' ~ ', 1, '')",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1308,
                "Name": "期计量信息_审批状态",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'status')",
                "descr": "",
                "Title": "ID: 1308"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty('stage', 'order')",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1399,
                "Name": "期计量信息_空白",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getBlank('stage', '')",
                "descr": "",
                "Title": "ID: 1399"
            },
            {
                "ID": 2701,
                "Name": "期-合同支付-名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'name')",
                "descr": "",
                "Title": "ID: 2701"
            },
            {
                "ID": 2703,
                "Name": "期-合同支付-金额(tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'tp')",
                "descr": "",
                "Title": "ID: 2703"
            },
            {
                "ID": 2704,
                "Name": "期-合同支付-截止上期-金额(pre_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'pre_tp')",
                "descr": "",
                "Title": "ID: 2704"
            },
            {
                "ID": 2705,
                "Name": "期-合同支付-截止本期-金额(end_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'end_tp')",
                "descr": "",
                "Title": "ID: 2705"
            },
            {
                "ID": 2707,
                "Name": "期-合同支付-是否扣款项(minus)",
                "DataType": "int",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'minus')",
                "descr": "",
                "Title": "ID: 2707"
            },
            {
                "ID": 2708,
                "Name": "期-合同支付-支付类型(ptype)",
                "DataType": "int",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'ptype')",
                "descr": "",
                "Title": "ID: 2708"
            },
            {
                "ID": 2508,
                "Name": "树结构-是否子项(is_leaf)",
                "DataType": "int",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'is_leaf')",
                "descr": "",
                "Title": "ID: 2508"
            },
            {
                "ID": 2510,
                "Name": "清单编号(b_code)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'b_code')",
                "descr": "",
                "Title": "ID: 2510"
            },
            {
                "ID": 2511,
                "Name": "名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'name')",
                "descr": "",
                "Title": "ID: 2511"
            },
            {
                "ID": 2512,
                "Name": "单位(unit)",
                "DataType": "string",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit')",
                "descr": "",
                "Title": "ID: 2512"
            },
            {
                "ID": 2513,
                "Name": "单价(unit_price)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'unit_price')",
                "descr": "",
                "Title": "ID: 2513"
            },
            {
                "ID": 2535,
                "Name": "本期-完成-金额(gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'gather_tp')",
                "descr": "",
                "Title": "ID: 2535"
            },
            {
                "ID": 2542,
                "Name": "截止上期-完成-金额(pre_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'pre_gather_tp')",
                "descr": "",
                "Title": "ID: 2542"
            },
            {
                "ID": 2548,
                "Name": "截止本期-完成-金额(end_gather_tp)",
                "DataType": "currency",
                "TableName": "mem_stage_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_bills', 'end_gather_tp')",
                "descr": "",
                "Title": "ID: 2548"
            },
            {
                "ID": 1600,
                "Name": "签约清单信息_清单编号(code)",
                "DataType": "string",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"code\")",
                "descr": "",
                "Title": "ID: 1600"
            },
            {
                "ID": 1605,
                "Name": "签约清单信息_合价(total_price)",
                "DataType": "currency",
                "TableName": "deal_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"deal_bills\", \"total_price\")",
                "descr": "",
                "Title": "ID: 1605",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2903,
                "Name": "变更清单-清单编号(code)",
                "DataType": "string",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 'code')",
                "descr": "",
                "Title": "ID: 2903"
            },
            {
                "ID": 2912,
                "Name": "变更清单-审批变更后-金额(s_tp)",
                "DataType": "currency",
                "TableName": "mem_change_bills",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_change_bills', 's_tp')",
                "descr": "",
                "Title": "ID: 2912"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2801,
                "Name": "预留扩展数据-合并-字符串1(str1)",
                "DataType": "string",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'str1')",
                "descr": "",
                "Title": "ID: 2801"
            },
            {
                "ID": 2802,
                "Name": "预留扩展数据-合并-字符串2(str2)",
                "DataType": "string",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'str2')",
                "descr": "",
                "Title": "ID: 2802"
            },
            {
                "ID": 2827,
                "Name": "预留扩展数据-合并-金额1(tp1)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp1')",
                "descr": "",
                "Title": "ID: 2827"
            },
            {
                "ID": 2828,
                "Name": "预留扩展数据-合并-金额2(tp2)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp2')",
                "descr": "",
                "Title": "ID: 2828"
            },
            {
                "ID": 2829,
                "Name": "预留扩展数据-合并-金额3(tp3)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp3')",
                "descr": "",
                "Title": "ID: 2829"
            },
            {
                "ID": 2830,
                "Name": "预留扩展数据-合并-金额4(tp4)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp4')",
                "descr": "",
                "Title": "ID: 2830"
            },
            {
                "ID": 2831,
                "Name": "预留扩展数据-合并-金额5(tp5)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp5')",
                "descr": "",
                "Title": "ID: 2831"
            },
            {
                "ID": 2832,
                "Name": "预留扩展数据-合并-金额6(tp6)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp6')",
                "descr": "",
                "Title": "ID: 2832"
            },
            {
                "ID": 2833,
                "Name": "预留扩展数据-合并-金额7(tp7)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp7')",
                "descr": "",
                "Title": "ID: 2833"
            },
            {
                "ID": 2834,
                "Name": "预留扩展数据-合并-金额8(tp8)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp8')",
                "descr": "",
                "Title": "ID: 2834"
            },
            {
                "ID": 2835,
                "Name": "预留扩展数据-合并-金额9(tp9)",
                "DataType": "currency",
                "TableName": "mem_union_data",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_union_data', 'tp9')",
                "descr": "",
                "Title": "ID: 2835"
            }
        ],
        "主数据指标_拓展集合": [],
        "从数据指标_拓展集合": []
    },
    "映射数据预处理": [
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherChapter",
            "hint": "请使用mem_stage_bills/mem_stage_bills_compare/ledger，仅对一张表进行汇总，并生成数据：\n1. 因为是汇总章级数据，必须在离散数据中添加\"章节代码\"&\"章节名称\"\n2. 需勾选\"清单编号(b_code)\", \"树结构-是否子项(is_leaf)\"字段，可以对任何含有这些字段的表汇总\n注意事项：\n1. 算法对数据表没有要求，保证有上述字段，且按顺序勾选即可, 仅汇总金额\n2. 算法计算后，原数据表中非数字类型的字段全部失效(除清单编号、名称外)，请勿在指标映射中添加\n示例：\ne.g.1 要对mem_stage_bills汇总，须勾选mem_stage_bills下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\ne.g.2 要对mem_stage_bills_compare汇总，须勾选mem_stage_bills_compare下的\"清单编号(b_code)\", \"树结构-是否子项((is_leaf)\"字段\n结果：\n汇总结果可参照 清单汇总--章节合计，但是不过滤1000-1300章数据",
            "fields": [
                {
                    "Name": "清单编号(b_code)",
                    "FieldID": 2510
                },
                {
                    "Name": "树结构-是否子项(is_leaf)",
                    "FieldID": 2508
                }
            ],
            "自定义设置": "{\n        \"count\": 7,\n        \"activeFields\": [\"gather_tp\", \"pre_gather_tp\", \"end_gather_tp\"],\n\t\"unChapter\" : {\"name\" : \"未计入章节清单项\", \"order\": 1},\n        \"gclSum\": {\"name\": \"工程结算价款\", \"order\": 2},\n        \"custom\": [\n            {\n                 \"name\": \"暂定金额\",\n                 \"order\": 3,\n                 \"match\": [\n                       {\"node_type\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂列金额\"},\n                       {\"field\": \"name\", \"part\": \"暂定金额\"}\n                  ]\n           }\n        ],\n        \"rela\": [\n            {\n                \"table\": \"deal_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"total_price\", \"target\": \"ex_value1\"}\n            },{\n                \"table\": \"mem_change_bills\", \"key\": \"code\",\n                \"fields\": {\"source\": \"s_tp\", \"target\": \"ex_value2\"}\n            }\n        ]\n}"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "gatherStagePay",
            "fields": [],
            "自定义设置": "{\n        \"table\": \"mem_stage_pay\",\n        \"custom\": [\n            {\"name\": \"本期完成计量\", \"ptype\": 4, \"order\": 1, \"visible\": false},\n            {\"name\": \"业主违约罚金\", \"match\": \"业主违约罚金\", \"order\": 2},\n            {\"name\": \"迟付款利息\", \"match\": \"迟付款利息\", \"order\": 3},\n            {\"name\": \"其他付款\", \"minus\": 0, \"ptype\": 1, \"rid\": [\"业主违约罚金\", \"迟付款利息\"], \"order\": 4},\n            {\"name\": \"合计\", \"order\": 5, \"order_calc\": \"o1+o2+o3+o4\"},\n            {\"name\": \"动员预付款\", \"order\": 6, \"empty\": 1},\n            {\"name\": \"扣动员预付款\", \"match\": [\"扣动员预付款\", \"扣回动员预付款\", \"扣开工预付款\", \"扣回开工预付款\"], \"order\": 7},\n            {\"name\": \"扣材料预付款\", \"match\": \"扣材料预付款\", \"order\": 8},\n            {\"name\": \"承包人违约罚金\", \"match\": \"承包人违约罚金\", \"order\": 9},\n            {\"name\": \"保留金\", \"match\": \"保留金\", \"order\": 10},\n            {\"name\": \"税金\", \"match\": \"税金\", \"order\": 11},\n            {\"name\": \"质量保证金\", \"match\": \"质量保证金\", \"order\": 12},\n            {\"name\": \"其他扣款\", \"minus\": 1, \"ptype\": 1, \"rid\": [\"扣动员预付款\", \"扣回动员预付款\", \"扣开工预付款\", \"扣回开工预付款\", \"扣材料预付款\", \"承包人违约罚金\", \"保留金\", \"税金\", \"质量保证金\"], \"order\": 13},\n            {\"name\": \"扣款合计\", \"minus\": 1, \"ptype\": 1, \"order\": 14},\n            {\"name\": \"支付\", \"ptype\": 2, \"order\": 15}\n        ]\n    }"
        },
        {
            "预处理类型": "指定方式",
            "映射数据对象": "",
            "方式Key": "union",
            "fields": [],
            "自定义设置": "{\n        \"union\": [\n            {\n                \"table\": \"mem_stage_bills\",\n                \"fields\": [\n                    {\"target\": \"str1\", \"source\": \"code\"},\n                    {\"target\": \"str2\", \"source\": \"name\"},\n                    {\"target\": \"tp1\", \"source\": \"total_price\"},\n                    {\"target\": \"tp2\", \"source\": \"end_qc_tp\"},\n                    {\"target\": \"tp3\", \"source\": \"final_tp\"},\n                    {\"target\": \"tp4\", \"source\": \"gather_tp\"},\n                    {\"target\": \"tp5\", \"source\": \"pre_gather_tp\"},\n                    {\"target\": \"tp6\", \"source\": \"end_gather_tp\"},\n                    {\"target\": \"tp7\", \"source\": \"ex_value1\"},\n                    {\"target\": \"tp8\", \"source\": \"ex_value2\"},\n                    {\"target\": \"str3\", \"data\": \"章级合计哟\"}\n                ]\n            }, {\n                \"table\": \"mem_stage_pay\",\n                \"fields\": [\n                    {\"target\": \"str2\", \"source\": \"name\"},\n                    {\"target\": \"tp4\", \"source\": \"tp\"},\n                    {\"target\": \"tp5\", \"source\": \"pre_tp\"},\n                    {\"target\": \"tp6\", \"source\": \"end_tp\"},\n                    {\"target\": \"str3\", \"data\": \"合同支付哟\"}\n                ]\n            }\n        ]\n}"
        }
    ],
    "无映射离散指标_集合": [
        {
            "ID": 12000,
            "Name": "新_清单号",
            "DataType": "string"
        },
        {
            "ID": 12001,
            "Name": "新_项目内容",
            "DataType": "string"
        },
        {
            "ID": 12002,
            "Name": "新_原有总金额",
            "DataType": "string"
        },
        {
            "ID": 12003,
            "Name": "新_变更后总金额",
            "DataType": "string"
        },
        {
            "ID": 12004,
            "Name": "新_到本期末完成金额",
            "DataType": "string"
        },
        {
            "ID": 12005,
            "Name": "新_到上期末完成金额",
            "DataType": "string"
        },
        {
            "ID": 12006,
            "Name": "新_本期完成金额",
            "DataType": "string"
        },
        {
            "ID": 12105,
            "Name": "新_变更金额",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12009,
            "Name": "高级驻地监理工程师_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12010,
            "Name": "项目办_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12113,
            "Name": "承包人",
            "DataType": "string"
        },
        {
            "ID": 12114,
            "Name": "监理员",
            "DataType": "string"
        },
        {
            "ID": 12115,
            "Name": "监理组组长",
            "DataType": "string"
        },
        {
            "ID": 12116,
            "Name": "业主（业主代表）",
            "DataType": "string"
        }
    ]
}