{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_中间计量表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "中间计量表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": 1.2,
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": 0.6,
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Top",
                    "DisplayType": "EveryPage",
                    "Height": "5",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Bottom",
                    "DisplayType": "EveryPage",
                    "Height": "7",
                    "Name": "qianzi",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                },
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "jisuanshi",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F",
                    "band_s": [
                        {
                            "Alignment": "Fulfill",
                            "DisplayType": "EveryPage",
                            "Name": "wenben",
                            "control": "Default",
                            "style": "Default_None",
                            "MergeBorder": "F"
                        }
                    ]
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "综合设置",
            "run_type": "before_paging",
            "expression": "let bgh=$JE.F(12269,$CURRENT_RPT);//变更后数量\nlet leave=$JE.F(12270,$CURRENT_RPT);//剩余数量\n\n\nlet tz=$JE.F(2140,$CURRENT_RPT);//台账数量\nlet bg=$JE.F(2125,$CURRENT_RPT);//截止本期变更数量\nlet jzbq=$JE.F(2123,$CURRENT_RPT);//截止本期完成数量\n\nlet fLen1=$JE.getFieldDataLen(tz, $CURRENT_DATA);\n\nfor(let i = 0; i < fLen1; i++){\n\tlet t = $JE.getFieldValue(tz, $CURRENT_DATA, i, 0);\n\tlet b = $JE.getFieldValue(bg, $CURRENT_DATA, i, 0);\n\tlet result = $CTX_HELPER.add(t,b);\n\t\n\t$JE.setFieldValue(bgh, $CURRENT_DATA, i, result);\n}\n\nfor(let i = 0; i < fLen1; i++){\n\tlet t1 = $JE.getFieldValue(bgh, $CURRENT_DATA, i, 0);\n\tlet b1 = $JE.getFieldValue(jzbq, $CURRENT_DATA, i, 0);\n\tlet result = $CTX_HELPER.sub(t1,b1);\n\t\n\t$JE.setFieldValue(leave, $CURRENT_DATA, i, result);\n}\n\n",
            "format": ""
        },
        {
            "Name": "截止日期转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1153,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        },
        {
            "Name": "计算式不换行",
            "run_type": "before_analyzing",
            "expression": "let billsnumber = $JE.F(2120,$CURRENT_RPT); //中间计量编号\nlet fLen0 = $JE.getFieldDataLen(billsnumber, $CURRENT_DATA); //获取有多少个数据\nlet formula= $JE.F(2116,$CURRENT_RPT);\nfor(let i=0;i< fLen0 ;i++){\n\tlet tempString =  $JE.getFieldValue(formula, $CURRENT_DATA, i, 0); \n\tlet pos=tempString.indexOf('\\n');\n\tconsole.log(pos);\n\tlet sliceString=tempString.slice(pos+1).replace(/\\n/g,\"；\\t\");\n\tconsole.log(sliceString);\n\tlet newString=tempString.slice(0,pos+1)+sliceString;\n\t$JE.setFieldValue(formula, $CURRENT_DATA, i,newString);\t\n}",
            "format": ""
        },
        {
            "Name": "计算式分解",
            "run_type": "before_paging",
            "expression": "let zlCalcStatementField = $JE.F(2116,$CURRENT_RPT); //中间计量总量-计算式说明\nlet otherFields = [2103, 2104, 2110, 2113, 2105, 2115, 2199, 2140, 2125, 2107,2126,2123,2117,2120,12269,12270]; //其他需要duplicate的指标(不需要计算式说明)\n\nlet splitCols = 114, splitRows = 9; //预设置(A4纵向)分割行数与列数 (根据实际情况会有所调整)\n\nif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A4') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 4;\n\t\tsplitCols = 160;\n\t}\n} else if ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_PAGE_SIZE] === 'A3') {\n\tif ($CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === 'LANDSCAPE' || $CURRENT_TEMPLATE[JV.NODE_MAIN_INFO][JV.NODE_PAGE_INFO][JV.PROP_ORIENTATION] === '横向') {\n\t\tsplitRows = 9;\n\t\tsplitCols = 230;\n\t} else {\n\t\tsplitRows = 16;\n\t\tsplitCols = 160;\n\t}\n}\n\nlet statementArr = [];\nlet hasChange = false;\nfunction pushStrBySplitCols(orgArr, strStm) {\n\tlet sCnt = 0;\n\twhile (sCnt < strStm.length) {\n\t\tlet cnt = 0, curSCnt = sCnt;\n\t\tfor (let eIdx = sCnt; eIdx < strStm.length; eIdx++) {\n\t\t\tlet unicode = strStm.charCodeAt(eIdx);\n\t\t\tif (unicode > 255) {\n\t\t\t\tcnt += 2;\n\t\t\t} else {\n\t\t\t\tcnt++;\n\t\t\t}\n\t\t\tcurSCnt++;\n\t\t\tif (cnt >= splitCols) {\n\t\t\t\thasChange = true;\n\t\t\t\tbreak;\n\t\t\t}\n\t\t}\n\t\t\n\t\torgArr.push(strStm.slice(sCnt, curSCnt));\n\t\tsCnt = curSCnt;\n\t}\n}\n\nlet dtLen = $JE.getFieldDataLen(zlCalcStatementField, $CURRENT_DATA);\nfor (let vIdx = 0; vIdx < dtLen; vIdx++) {\n\tlet statementStr = $JE.getFieldValue(zlCalcStatementField, $CURRENT_DATA, vIdx, '');\n\t//1. 把说明分割\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n\\r', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\n', '|');\n\tstatementStr = $JE.$STR_UTIL.replaceAll(statementStr, '\\r', '|');\n\tlet statementValues = statementStr.split('|');\n\t//2. 根据 splitRows 来拓展分页\n\tlet stmForInsertArr = [], tempArr = [];\n\tlet addAmt = 0;\n\tfor (let sIdx = 0; sIdx < statementValues.length; sIdx++) {\n\t\t//考虑到splitCols参量，需要再一次分解\n\t\tpushStrBySplitCols(tempArr, statementValues[sIdx]);\n\t}\n\tlet tempArr2 = [];\n\tfor (let sIdx = 0; sIdx < tempArr.length; sIdx++) {\n\t\tif (sIdx === 0 || (sIdx % splitRows) !== 0) {\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t} else {\n\t\t\thasChange = true;\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t\ttempArr2 = [];\n\t\t\ttempArr2.push(tempArr[sIdx]);\n\t\t}\n\t\tif (sIdx === tempArr.length - 1) {\n\t\t\tstmForInsertArr.push(tempArr2.join('|'));\n\t\t}\n\t}\n\tstatementArr.push(stmForInsertArr);\n}\n\n//插入新分割后的数据(如果有多的话)\n// b. 数量有变才有意义\nif (hasChange) {\n\t// 定义需要调整的指标集合\n\tfor (let fIdx = 0; fIdx < otherFields.length; fIdx++) {\n\t\totherFields[fIdx] = $JE.F(otherFields[fIdx],$CURRENT_RPT);\n\t}\n\t// 保存一下各个相关字段的原始值\n\tlet orgValuesArr = [];\n\tfor (const field of otherFields) {\n\t\torgValuesArr.push([]);\n\t}\n\tfor (let dupIdx = 0; dupIdx < dtLen; dupIdx++) {\n\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\torgValuesArr[fieldIdx].push($JE.getFieldValue(otherFields[fieldIdx], $CURRENT_DATA, dupIdx, ''));\n\t\t}\n\t}\n\t// 进入实际操作\n\tlet cnt = 0;\n\tfor (let dupIdx = 0; dupIdx < statementArr.length; dupIdx++) {\n\t\tfor (let ddIdx = 0; ddIdx < statementArr[dupIdx].length; ddIdx++) {\n\t\t\t$JE.setFieldValue(zlCalcStatementField, $CURRENT_DATA, cnt, statementArr[dupIdx][ddIdx]);\n\t\t\tfor (let fieldIdx = 0; fieldIdx < otherFields.length; fieldIdx++) {\n\t\t\t\t$JE.setFieldValue(otherFields[fieldIdx], $CURRENT_DATA, cnt, orgValuesArr[fieldIdx][dupIdx]);\n\t\t\t}\n\t\t\tcnt++;\n\t\t}\n\t}\n}\n\n\n",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "40",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "中 间 计 量 表",
                        "font": "ReportTitle_Vice_1",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "40",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "承包单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "50",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1103,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "合同号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "49.86",
                            "Right": "74.93",
                            "Top": "0",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2120,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74.93",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1153,
                        "font": "Content",
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "日  期：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "49.86",
                            "Right": 100,
                            "Top": "50",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 2103,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.26",
                            "Right": "49.86",
                            "Top": 0,
                            "Bottom": "13.77",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2104,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.5",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "13.77",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2110,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.26",
                            "Right": "49.86",
                            "Top": "13.77",
                            "Bottom": "27.54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2113,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.5",
                            "Right": 100,
                            "Top": "13.77",
                            "Bottom": "27.54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2105,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "12.26",
                            "Right": "49.86",
                            "Top": "27.54",
                            "Bottom": "42.03",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2115,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "63.5",
                            "Right": 100,
                            "Top": "27.54",
                            "Bottom": "42.03",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2140,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "12.26",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2125,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "24.79",
                            "Right": "37.33",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12269,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "37.33",
                            "Right": "49.86",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2123,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "49.86",
                            "Right": "62.4",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2126,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "62.4",
                            "Right": "74.93",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2107,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "74.93",
                            "Right": "87.47",
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12270,
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "87.47",
                            "Right": 100,
                            "Top": "85.51",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "清单编号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.26",
                            "Top": 0,
                            "Bottom": "13.77",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "项目名称",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "63.5",
                            "Top": 0,
                            "Bottom": "13.77",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "起止桩号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "12.26",
                            "Top": "13.77",
                            "Bottom": "27.54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "部位",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "63.5",
                            "Top": "13.77",
                            "Bottom": "27.54",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计量单位",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.26",
                            "Top": "27.54",
                            "Bottom": "42.03",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "中间交工证书号",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "63.5",
                            "Top": "27.54",
                            "Bottom": "42.03",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "设计数量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "42.03",
                            "Bottom": "56.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "剩余数量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "87.47",
                            "Right": "100.00",
                            "Top": "42.03",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "原设计",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "12.26",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "计量数量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "87.47",
                            "Top": "42.03",
                            "Bottom": "56.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "完善设计|增减",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "12.26",
                            "Right": "24.79",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "变更设计|增减",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "24.79",
                            "Right": "37.33",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "完善、变更|设计后",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "37.33",
                            "Right": "49.86",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "到本期末|累计计量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "62.40",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "到上期末|累计计量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "62.40",
                            "Right": "74.93",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "本期|计量",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "74.93",
                            "Right": "87.47",
                            "Top": "56.52",
                            "Bottom": "85.51",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Column",
                        "style": "Default_Normal",
                        "Title": "",
                        "area": {
                            "Left": "12.26",
                            "Right": "24.79",
                            "Top": "85.51",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "qianzi",
                "discrete_field_s": [
                    {
                        "FieldID": 12271,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Underline",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "8",
                            "Right": "49.86",
                            "Top": 0,
                            "Bottom": "15",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12272,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_RightBottom",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "57.86",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "15",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12241,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "6",
                            "Right": "24.79",
                            "Top": "85",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12243,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "37.33",
                            "Right": "49.86",
                            "Top": "85",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12242,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "55.86",
                            "Right": "74.93",
                            "Top": "85",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12244,
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Default_Value": "",
                        "area": {
                            "Left": "87.47",
                            "Right": 100,
                            "Top": "85",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "计量员：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "8",
                            "Top": 0,
                            "Bottom": "15",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包人：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "57.86",
                            "Top": 0,
                            "Bottom": "15",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理工程师审核意见：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "15",
                            "Bottom": "25.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "合同监理工程师审核意见：",
                        "font": "Content",
                        "control": "NewContent_Left",
                        "style": "Label_Left",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "100.00",
                            "Top": "15",
                            "Bottom": "25.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "6",
                            "Top": "85",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "24.79",
                            "Right": "37.33",
                            "Top": "85",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签字：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Label_Left",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": "55.86",
                            "Top": "85",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "日期：",
                        "font": "Content",
                        "control": "NewContent_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "74.93",
                            "Right": "87.47",
                            "Top": "85",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Default",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "49.86",
                            "Top": "25.52",
                            "Bottom": "85",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Default",
                        "style": "Label_Right",
                        "Title": "",
                        "area": {
                            "Left": "49.86",
                            "Right": 100,
                            "Top": "25.52",
                            "Bottom": "85",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "wenben",
                "discrete_field_s": [
                    {
                        "FieldID": 2116,
                        "font": "Content",
                        "control": "Left_Top",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "7",
                            "Bottom": "50",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 2117,
                        "font": "Content",
                        "control": "NewContent_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": "50",
                            "Bottom": "100",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "简图(图号)、尺寸、计算及说明：",
                        "font": "Content",
                        "control": "Header",
                        "style": "Default",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "7",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": []
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.buildName\")",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1150,
                "Name": "标段_技术参数_合同期限",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.dealPeriod\")",
                "descr": "",
                "Title": "ID: 1150"
            },
            {
                "ID": 1153,
                "Name": "标段_技术参数_计划完工日期",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.planEndDate\")",
                "descr": "",
                "Title": "ID: 1153"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 2103,
                "Name": "中间计量总量信息_编号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"code\")",
                "descr": "",
                "Title": "ID: 2103"
            },
            {
                "ID": 2104,
                "Name": "中间计量总量信息_名称",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"name\")",
                "descr": "",
                "Title": "ID: 2104"
            },
            {
                "ID": 2110,
                "Name": "中间计量总量信息_起止桩号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"peg\")",
                "descr": "",
                "Title": "ID: 2110"
            },
            {
                "ID": 2113,
                "Name": "中间计量总量信息_部位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"bw\")",
                "descr": "",
                "Title": "ID: 2113"
            },
            {
                "ID": 2105,
                "Name": "中间计量总量信息_单位",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"unit\")",
                "descr": "",
                "Title": "ID: 2105"
            },
            {
                "ID": 2115,
                "Name": "中间计量总量信息_凭证号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"doc_code\")",
                "descr": "",
                "Title": "ID: 2115"
            },
            {
                "ID": 2199,
                "Name": "中间计量总量信息_空白",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"mem_stage_im_zl\", \"\")",
                "descr": "",
                "Title": "ID: 2199"
            },
            {
                "ID": 2140,
                "Name": "中间计量总量信息_台账数据数量",
                "DataType": "double",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"quantity\")",
                "descr": "",
                "Title": "ID: 2140"
            },
            {
                "ID": 2125,
                "Name": "中间计量总量信息_截止本期变更数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"end_qc_jl\")",
                "descr": "",
                "Title": "ID: 2125",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 2107,
                "Name": "中间计量总量信息_本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"jl\")",
                "descr": "",
                "Title": "ID: 2107",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 2126,
                "Name": "中间计量总量信息_截止上期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"pre_jl\")",
                "descr": "",
                "Title": "ID: 2126",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 2123,
                "Name": "中间计量总量信息_截止本期数量",
                "DataType": "currency",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"end_jl\")",
                "descr": "",
                "Title": "ID: 2123",
                "Precision": {
                    "type": "flexible",
                    "flexibleRefFieldID": 2105,
                    "flexibleMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"precision\")"
                }
            },
            {
                "ID": 2116,
                "Name": "中间计量总量信息_计算式说明",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"calc_memo\")",
                "descr": "",
                "Title": "ID: 2116"
            },
            {
                "ID": 2117,
                "Name": "中间计量总量信息_草图",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"calc_img\")",
                "descr": "",
                "Title": "ID: 2117",
                "isPic": true
            },
            {
                "ID": 2120,
                "Name": "中间计量总量信息_中间计量表号",
                "DataType": "string",
                "TableName": "mem_stage_im_zl",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"mem_stage_im_zl\", \"im_code\")",
                "descr": "",
                "Title": "ID: 2120"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12269,
            "Name": "变更后数量",
            "DataType": "string"
        },
        {
            "ID": 12270,
            "Name": "剩余数量",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12243,
            "Name": "监理工程师签名_签字日期",
            "DataType": "string",
            "Default_Value": ""
        },
        {
            "ID": 12244,
            "Name": "合同监理工程师签名_签字日期",
            "DataType": "string",
            "Default_Value": ""
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12241,
            "Name": "监理工程师签名",
            "DataType": "string"
        },
        {
            "ID": 12242,
            "Name": "合同监理工程师签名",
            "DataType": "string"
        },
        {
            "ID": 12271,
            "Name": "计量员签名",
            "DataType": "string"
        },
        {
            "ID": 12272,
            "Name": "承包人签名",
            "DataType": "string"
        }
    ]
}