{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_新增报表模板_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "新增报表模板",
        "打印页面_信息": {
            "方向": "LANDSCAPE",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.35",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "4.95",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.32",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "日期的转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1301,$CURRENT_RPT);\nlet rpt2 = $JE.F(1104,$CURRENT_RPT);\n\n//let newShiJian = $JE.F(12108,$CURRENT_RPT);\n\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\" 年 \"+shiJian[1]+\" 月\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}\n\nconsole.log($JE.getFieldValue(rpt2, $CURRENT_DATA, 0, ''));",
            "format": ""
        },
        {
            "Name": "期数修改和日期修改",
            "run_type": "before_paging",
            "expression": "let qishu = $JE.F(1300,$CURRENT_RPT);\nlet kaishi_jiezhi = $JE.F(1310,$CURRENT_RPT);\nlet kaishi = $JE.F(1311,$CURRENT_RPT);\nlet jiezhi = $JE.F(1312,$CURRENT_RPT);\n\nlet date = new Date();\nlet year = date.getFullYear();\n\nlet qi = $JE.getFieldValue(qishu, $CURRENT_DATA, 0, '');\n\n$JE.setFieldValue(qishu, $CURRENT_DATA, 0, year + '-' + qi);\n\n\nlet kai = $JE.getFieldValue(kaishi, $CURRENT_DATA, 0, '');//开始日期\nlet jie = $JE.getFieldValue(jiezhi, $CURRENT_DATA, 0, '');//截止日期\nlet newkaiRiQiValue;//开始\nlet newjieRiQiValue;//截止\n\nlet kai_shiJian = kai.split('-');\n\nif(kai_shiJian[0]!==''){\n\tnewkaiRiQiValue = kai_shiJian[0]+\"年\"+kai_shiJian[1]+\"月\"+kai_shiJian[2]+\"日\";\n}\n\nlet jie_shiJian = jie.split('-');\n\nif(jie_shiJian[0]!==''){\n\tnewjieRiQiValue = jie_shiJian[0]+\"年\"+jie_shiJian[1]+\"月\"+jie_shiJian[2]+\"日\";\n}\n\n$JE.setFieldValue(kaishi_jiezhi, $CURRENT_DATA, 0, newkaiRiQiValue + '--' + newjieRiQiValue);",
            "format": ""
        },
        {
            "Name": "合同编号+期数",
            "run_type": "before_analyzing",
            "expression": "let QS=$JE.F(1300,$CURRENT_RPT);//期数\nlet HTBH=$JE.F(1102,$CURRENT_RPT);//合同编号\n\nlet NewTxt=$JE.F(12292,$CURRENT_RPT);//合同编号+期数\n\nlet HTBHJ=$JE.getFieldValue(HTBH, $CURRENT_DATA, 0, '');\nlet QSJ=$JE.getFieldValue(QS, $CURRENT_DATA, 0, '');\n//期数前缀补零\nif(QSJ<10){\n\tlet s = '0'+QSJ.toString(); \n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+s);\n}\nelse{\n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+QSJ);\n}\n",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1101,
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "text_s": [
                    {
                        "Label": "中  期  支  付  月  报  表",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "T",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "40",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "54.01",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "建 设 项 目",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "T",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "28",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "54.01",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "text_s": [
                    {
                        "Label": "承包单位：",
                        "font": {
                            "Name": "宋体",
                            "FontHeight": "20",
                            "FontBold": "T",
                            "FontItalic": "F",
                            "FontUnderline": "F",
                            "FontStrikeOut": "F",
                            "FontColor": "BLACK",
                            "FontAngle": 0
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "35.91",
                            "Top": "21.63",
                            "Bottom": "36.05",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理单位：",
                        "font": {
                            "Name": "宋体",
                            "FontHeight": "20",
                            "FontBold": "T",
                            "FontItalic": "F",
                            "FontUnderline": "F",
                            "FontStrikeOut": "F",
                            "FontColor": "BLACK",
                            "FontAngle": 0
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "35.91",
                            "Top": "36.05",
                            "Bottom": "50.47",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业    主：",
                        "font": {
                            "Name": "宋体",
                            "FontHeight": "20",
                            "FontBold": "T",
                            "FontItalic": "F",
                            "FontUnderline": "F",
                            "FontStrikeOut": "F",
                            "FontColor": "BLACK",
                            "FontAngle": 0
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "35.91",
                            "Top": "50.47",
                            "Bottom": "64.65",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "填报日期：",
                        "font": {
                            "Name": "宋体",
                            "FontHeight": "20",
                            "FontBold": "T",
                            "FontItalic": "F",
                            "FontUnderline": "F",
                            "FontStrikeOut": "F",
                            "FontColor": "BLACK",
                            "FontAngle": 0
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "35.91",
                            "Top": "64.65",
                            "Bottom": "79.07",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 12292,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "T",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "20",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Title",
                    "style": "Default_None",
                    "Prefix": "（编号：",
                    "Suffix": "）",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "100.00",
                        "Top": 0,
                        "Bottom": "21.63",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1134,
                    "font": {
                        "Name": "宋体",
                        "FontHeight": "20",
                        "FontBold": "T",
                        "FontItalic": "F",
                        "FontUnderline": "F",
                        "FontStrikeOut": "F",
                        "FontColor": "BLACK",
                        "FontAngle": 0
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.91",
                        "Right": "100.00",
                        "Top": "21.63",
                        "Bottom": "36.05",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1140,
                    "font": {
                        "Name": "宋体",
                        "FontHeight": "20",
                        "FontBold": "T",
                        "FontItalic": "F",
                        "FontUnderline": "F",
                        "FontStrikeOut": "F",
                        "FontColor": "BLACK",
                        "FontAngle": 0
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.91",
                        "Right": "100.00",
                        "Top": "36.05",
                        "Bottom": "50.47",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1104,
                    "font": {
                        "Name": "宋体",
                        "FontHeight": "20",
                        "FontBold": "T",
                        "FontItalic": "F",
                        "FontUnderline": "F",
                        "FontStrikeOut": "F",
                        "FontColor": "BLACK",
                        "FontAngle": 0
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.91",
                        "Right": "100.00",
                        "Top": "50.47",
                        "Bottom": "64.65",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1311,
                    "font": {
                        "Name": "宋体",
                        "FontHeight": "20",
                        "FontBold": "T",
                        "FontItalic": "F",
                        "FontUnderline": "F",
                        "FontStrikeOut": "F",
                        "FontColor": "BLACK",
                        "FontAngle": 0
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "35.91",
                        "Right": "100.00",
                        "Top": "64.65",
                        "Bottom": "79.07",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1101,
                "Name": "标段_项目名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.buildName')",
                "descr": "",
                "Title": "ID: 1101"
            },
            {
                "ID": 1105,
                "Name": "标段_建设单位法人代表",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.corporation')",
                "descr": "",
                "Title": "ID: 1105"
            },
            {
                "ID": 1106,
                "Name": "标段_建设时间",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.build.date')",
                "descr": "",
                "Title": "ID: 1106"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'deal_info.dealCode')",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.contract1.company')",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'construction_unit.supervision1.company')",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1301,
                "Name": "期计量信息_计量时间",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"s_time\")",
                "descr": "",
                "Title": "ID: 1301"
            },
            {
                "ID": 1310,
                "Name": "期计量信息_开始截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"period\")",
                "descr": "",
                "Title": "ID: 1310"
            },
            {
                "ID": 1311,
                "Name": "期计量信息_开始日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 0, \"\")",
                "descr": "",
                "Title": "ID: 1311"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12292,
            "Name": "新合同编号+期数",
            "DataType": "string",
            "descr": ""
        }
    ],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": []
}