{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_项目支付月审批表_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "项目支付月审批表",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "2.01",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "1.2",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "0.61",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "BORDER_ALL_AROUND",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "BORDER_ALL_AROUND",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "新本期应付金额",
            "run_type": "before_analyzing",
            "expression": "let HTname=$JE.F(2701,$CURRENT_RPT);//合同支付名称\nlet HTGtp=$JE.F(2703,$CURRENT_RPT);//合同支付本期列\nlet SumTP=$JE.F(1120,$CURRENT_RPT);//合同总价\n\nlet NewHTGtp=$JE.F(12122,$CURRENT_RPT);//本期完成\nlet NewSumTP=$JE.F(12261,$CURRENT_RPT);//新合同总价\nlet NewTxt=$JE.F(12262,$CURRENT_RPT);//新拼接文本\nlet capF = $JE.F(12263, $CURRENT_RPT);//新金额大写\nlet fLen1=$JE.getFieldDataLen(HTname, $CURRENT_DATA);\n\n//强制补两个0\nfunction toDecimal2(x) { \n\tvar f = parseFloat(x); \n\tif (isNaN(f)) { \n\t    return false; \n\t} \n\tvar f = Math.round(x); \n\tvar s = f.toString(); \n\tvar rs = s.indexOf('.'); \n\tif (rs < 0) { \n\t    rs = s.length; \n\t    s += '.'; \n\t} \n\twhile (s.length <= rs + 2) { \n\t    s += '0'; \n\t} \n\treturn s; \n} \n\nlet BQYF='';//文本存储，用于文本拼接\nlet BQWC='';\n\n//获取本期应付、本期完成计量的值\nfor(let chkIdx = 0; chkIdx < fLen1; chkIdx++){\n\tlet HTnameB = $JE.getFieldValue(HTname, $CURRENT_DATA, chkIdx, 0);\n\tlet SumTPB = $JE.getFieldValue(SumTP, $CURRENT_DATA, chkIdx, 0);\n\n\t$JE.setFieldValue(NewSumTP, $CURRENT_DATA, 0,SumTPB);\n\tif (HTnameB === '本期应付'){\n\t\tlet HTGtpB=$JE.getFieldValue(HTGtp, $CURRENT_DATA, chkIdx, 0);\n        \n\t\tBQYF=toDecimal2(HTGtpB);\n\t\t$JE.setFieldValue(capF, $CURRENT_DATA, 0,'（大写：' +$JE.$STR_UTIL.convertToCaptionNum(parseFloat(BQYF).toFixed(2), true, true)+'）');//金额转大写\n\t\t$JE.setFieldValue(NewHTGtp, $CURRENT_DATA, 0, BQYF);\n\t}\n    if (HTnameB === '本期完成计量'){\n\t\tlet HTGtpB=$JE.getFieldValue(HTGtp, $CURRENT_DATA, chkIdx, 0);\n\t\tBQWC=toDecimal2(HTGtpB);\n\t\t\n        console.log(BQWC);\t\n\t\t$JE.setFieldValue(NewHTGtp, $CURRENT_DATA, 0, BQWC);\n\t}\n}\n\n//文本拼接\n$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, BQWC+'×85%='+BQYF);\n\n\n ",
            "format": ""
        },
        {
            "Name": "新合同编号+期数",
            "run_type": "before_paging",
            "expression": "let QS=$JE.F(1300,$CURRENT_RPT);//期数\nlet HTBH=$JE.F(1102,$CURRENT_RPT);//合同编号\n\nlet NewTxt=$JE.F(12264,$CURRENT_RPT);//合同编号+期数\n\nlet HTBHJ=$JE.getFieldValue(HTBH, $CURRENT_DATA, 0, '');\nlet QSJ=$JE.getFieldValue(QS, $CURRENT_DATA, 0, '');\n//期数前缀补零\nif(QSJ<10){\n\tlet s = '0'+QSJ.toString(); \n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+s+ '期');\n}\nelse{\n\t$JE.setFieldValue(NewTxt, $CURRENT_DATA, 0, HTBHJ+'-'+QSJ+ '期');\n}\n",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "text_s": [
                    {
                        "Label": "项目支付月审批表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "施工单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "50.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12264,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "65.04",
                            "Right": "100.00",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Prefix": "监理单位：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "65.04",
                            "Top": "50.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 12171,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "19.46",
                            "Bottom": "23.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12172,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "34.84",
                            "Bottom": "38.46",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12173,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "49.32",
                            "Bottom": "52.94",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12174,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "63.8",
                            "Bottom": "67.42",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12175,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "78.28",
                            "Bottom": "81.9",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 12236,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "92.76",
                            "Bottom": "96.38",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12180,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "23.08",
                            "Bottom": "27.6",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12181,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "38.46",
                            "Bottom": "42.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12182,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "52.94",
                            "Bottom": "56.56",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12183,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "67.42",
                            "Bottom": "71.04",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12184,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "81.9",
                            "Bottom": "85.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "ParamID": 12237,
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Column_Left",
                        "style": "Label_Underline",
                        "Default_Value": "年  月  日",
                        "area": {
                            "Left": "76.04",
                            "Right": "100",
                            "Top": "96.38",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "施工单位申请计量内容：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": 0,
                            "Bottom": "4.64",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "19.46",
                            "Bottom": "23.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理单位意见：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "27.60",
                            "Bottom": "31.22",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "34.84",
                            "Bottom": "38.46",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主技术负责人意见：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "42.08",
                            "Bottom": "45.70",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "49.32",
                            "Bottom": "52.94",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "业主项目负责人意见：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "56.56",
                            "Bottom": "60.18",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "63.8",
                            "Bottom": "67.42",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "总工办负责人意见：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "71.04",
                            "Bottom": "74.66",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "78.28",
                            "Bottom": "81.9",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "分管领导意见：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "85.52",
                            "Bottom": "89.14",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "签章：",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "92.76",
                            "Bottom": "96.38",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "完成工程量属实；根据合同条款规定，现申请支付工程进度款:",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "56.96",
                            "Top": "9.16",
                            "Bottom": "13.80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元，本期完成路基、路面及桥涵工程投资",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "28.69",
                            "Right": "68.52",
                            "Top": "4.64",
                            "Bottom": "9.16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "31.22",
                            "Bottom": "34.84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "38.46",
                            "Bottom": "42.08",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "23.08",
                            "Bottom": "27.60",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "45.70",
                            "Bottom": "49.32",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "52.94",
                            "Bottom": "56.56",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "60.18",
                            "Bottom": "63.80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "67.42",
                            "Bottom": "71.04",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "74.66",
                            "Bottom": "78.28",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "81.90",
                            "Bottom": "85.52",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "89.14",
                            "Bottom": "92.76",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "",
                        "font": "Content",
                        "control": "Content_Left",
                        "style": "Label_Underline",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "76.04",
                            "Top": "96.38",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "本合同总价为",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "16.43",
                            "Top": "4.64",
                            "Bottom": "9.16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "元，经驻地办复核，",
                        "font": {
                            "Name": "宋体",
                            "FontBold": "F",
                            "FontAngle": 0,
                            "FontColor": "BLACK",
                            "FontHeight": "14",
                            "FontItalic": "F",
                            "FontStrikeOut": "F",
                            "FontUnderline": "F"
                        },
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "80.50",
                            "Right": "100.00",
                            "Top": "4.64",
                            "Bottom": "9.16",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": [
                {
                    "FieldID": 12122,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "14",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "68.52",
                        "Right": "80.50",
                        "Top": "4.64",
                        "Bottom": "9.16",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12262,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "14",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "Suffix": "元",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "56.96",
                        "Right": "100.00",
                        "Top": "9.16",
                        "Bottom": "13.80",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 12263,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "14",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Header",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": 0,
                        "Right": "100.00",
                        "Top": "13.80",
                        "Bottom": "19.46",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                },
                {
                    "FieldID": 1120,
                    "font": {
                        "Name": "宋体",
                        "FontBold": "F",
                        "FontAngle": 0,
                        "FontColor": "BLACK",
                        "FontHeight": "14",
                        "FontItalic": "F",
                        "FontStrikeOut": "F",
                        "FontUnderline": "F"
                    },
                    "control": "Title",
                    "style": "Default_None",
                    "isAutoHeight": false,
                    "area": {
                        "Left": "16.43",
                        "Right": "28.69",
                        "Top": "4.64",
                        "Bottom": "9.16",
                        "H_CalculationType": "percentage",
                        "V_CalculationType": "percentage"
                    }
                }
            ]
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1399,
                "Name": "期计量信息_空白",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getBlank(\"stage\", \"\")",
                "descr": "",
                "Title": "ID: 1399"
            },
            {
                "ID": 1805,
                "Name": "本期支付信息_支付项类型",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"ptype\")",
                "descr": "支付或扣款",
                "Title": "ID: 1805"
            },
            {
                "ID": 1304,
                "Name": "期计量信息_本期完成金额",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.COMMON.Plus($PROJECT.REPORT.getProperty(\"stage\", \"contract_tp\"),$PROJECT.REPORT.getProperty(\"stage\", \"qc_tp\"),6)",
                "descr": "",
                "Title": "ID: 1304",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 1805,
                "Name": "本期支付信息_支付项类型",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"ptype\")",
                "descr": "支付或扣款",
                "Title": "ID: 1805"
            },
            {
                "ID": 1801,
                "Name": "本期支付信息_本期金额",
                "DataType": "number",
                "TableName": "stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage_pay\", \"tp\")",
                "descr": "",
                "Title": "ID: 1801",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"decimal.tp\")"
                }
            },
            {
                "ID": 2703,
                "Name": "期-合同支付-金额(tp)",
                "DataType": "currency",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'tp')",
                "descr": "",
                "Title": "ID: 2703",
                "Precision": {
                    "type": "fixed",
                    "fixedMapExpression": "$PROJECT.REPORT.getProperty('tender_info', 'decimal._pay_tp')"
                }
            },
            {
                "ID": 2701,
                "Name": "期-合同支付-名称(name)",
                "DataType": "string",
                "TableName": "mem_stage_pay",
                "mapExpression": "$PROJECT.REPORT.getProperty('mem_stage_pay', 'name')",
                "descr": "",
                "Title": "ID: 2701"
            },
            {
                "ID": 1120,
                "Name": "标段_合同总价",
                "DataType": "number",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_param.contractPrice\")",
                "descr": "",
                "Title": "ID: 1120"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [
        {
            "ID": 12122,
            "Name": "新本期应付",
            "DataType": "string"
        },
        {
            "ID": 12261,
            "Name": "新合同总价",
            "DataType": "string"
        },
        {
            "ID": 12262,
            "Name": "新文本拼接",
            "DataType": "string"
        },
        {
            "ID": 12263,
            "Name": "新金额大写",
            "DataType": "string"
        },
        {
            "ID": 12264,
            "Name": "新合同编号+期数",
            "DataType": "string"
        }
    ],
    "动态日期离散参数_集合": [
        {
            "ID": 12180,
            "Name": "施工单位_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        },
        {
            "ID": 12181,
            "Name": "监理单位_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        },
        {
            "ID": 12182,
            "Name": "业主技术负责人_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        },
        {
            "ID": 12183,
            "Name": "业主项目负责人_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        },
        {
            "ID": 12184,
            "Name": "总工办负责人_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        },
        {
            "ID": 12237,
            "Name": "分管领导_签字日期",
            "DataType": "string",
            "Default_Value": "年  月  日"
        }
    ],
    "电子签名离散指标_集合": [
        {
            "ID": 12171,
            "Name": "施工单位",
            "DataType": "string"
        },
        {
            "ID": 12172,
            "Name": "监理单位",
            "DataType": "string"
        },
        {
            "ID": 12173,
            "Name": "业主技术负责人",
            "DataType": "string"
        },
        {
            "ID": 12174,
            "Name": "业主项目负责人",
            "DataType": "string"
        },
        {
            "ID": 12175,
            "Name": "总工办负责人",
            "DataType": "string"
        },
        {
            "ID": 12236,
            "Name": "分管领导",
            "DataType": "string"
        }
    ]
}