{
    "ID_KEY": "DUMMY_BILL_SAMPLE",
    "GROUP_KEY": "RPT_封面_SAMPLE_TPL",
    "主信息": {
        "单位": "厘米",
        "版本": {
            "主版本": "3",
            "功能版本": "0"
        },
        "页边距": {
            "Top": "1.0",
            "Left": "1.0",
            "Right": "1.0",
            "Bottom": "1.0"
        },
        "报表名称": "封面",
        "打印页面_信息": {
            "方向": "PORTRAIT",
            "页规格": "A4"
        }
    },
    "布局框_集合": [
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "4",
            "Name": "TitleBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Top",
            "DisplayType": "EveryPage",
            "Height": "12.73",
            "Name": "HeaderBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Bottom",
            "DisplayType": "EveryPage",
            "Height": "2.73",
            "Name": "FooterBand",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "F"
        },
        {
            "Alignment": "Fulfill",
            "DisplayType": "EveryPage",
            "Name": "Report Body",
            "control": "Default",
            "style": "Default_None",
            "MergeBorder": "T",
            "band_s": [
                {
                    "Alignment": "Fulfill",
                    "DisplayType": "EveryPage",
                    "Name": "ContentBand",
                    "control": "Default",
                    "style": "Default_None",
                    "MergeBorder": "F"
                }
            ]
        }
    ],
    "计算式_集合": [
        {
            "Name": "获取打印时间",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.P(5001,$CURRENT_RPT);\nlet dt = new Date();\nrpt.Default_Value = dt.Format($ME.format);\nrpt = null;",
            "format": "yyyy 年 M 月 dd 日"
        },
        {
            "Name": "获取当前页",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5010,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getCurrentPage($CURRENT_RPT));\nttp = null;",
            "format": "第 (%S) 页"
        },
        {
            "Name": "获取总页数",
            "run_type": "before_output",
            "expression": "let ttp = $JE.P(5011,$CURRENT_RPT);\nttp.Default_Value = $ME.format.replace('(%S)',$JE.getTotalPage($CURRENT_RPT));\nttp = null;",
            "format": "共 (%S) 页"
        },
        {
            "Name": "报表日期转换",
            "run_type": "before_paging",
            "expression": "let rpt = $JE.F(1312,$CURRENT_RPT);\nlet jzrq = $JE.getFieldValue(rpt, $CURRENT_DATA, 0, '')\nlet shiJian = jzrq.split('-');\n\nif(shiJian[0]!==''){\n\tlet newRiQiValue = shiJian[0]+\"年\"+shiJian[1]+\"月\"+shiJian[2]+\"日\";\n\t$JE.setFieldValue(rpt, $CURRENT_DATA, 0, newRiQiValue);\n}",
            "format": ""
        }
    ],
    "离散参数_集合": [
        {
            "ID": "5001",
            "Name": "打印时间",
            "DataType": "String",
            "Default_Value": ""
        },
        {
            "ID": "5010",
            "Name": "当前页",
            "DataType": "String",
            "Default_Value": "第 X 页"
        },
        {
            "ID": "5011",
            "Name": "总页数",
            "DataType": "String",
            "Default_Value": "共 X 页"
        }
    ],
    "账单式表_信息": {
        "离散信息": [
            {
                "BandName": "TitleBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1002,
                        "font": "ReportTitle_Vice_1",
                        "control": "Content_Center",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "0",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "HeaderBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1103,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "6.03",
                            "Bottom": "12.06",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1102,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "Prefix": "合同编号：",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "18.09",
                            "Bottom": "24.12",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1300,
                        "font": "ReportTitle_Vice_2",
                        "control": "Title",
                        "style": "Default_None",
                        "Prefix": "第  ",
                        "Suffix": "  期",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "50.31",
                            "Bottom": "58.84",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1146,
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Prefix": "（",
                        "isAutoHeight": false,
                        "area": {
                            "Left": 0,
                            "Right": "46.94",
                            "Top": "58.84",
                            "Bottom": "73.18",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1153,
                        "font": "ReportTitle_Vice_2",
                        "control": "Header",
                        "style": "Default_None",
                        "Suffix": "）",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "53.06",
                            "Right": "100.00",
                            "Top": "58.84",
                            "Bottom": "73.18",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "中 期 计 量 支 付 报 表",
                        "font": "ReportTitle_Main",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "100.00",
                            "Top": "24.12",
                            "Bottom": "50.31",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "～",
                        "font": "Content",
                        "control": "Title",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "46.94",
                            "Right": "53.06",
                            "Top": "58.84",
                            "Bottom": "73.18",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            },
            {
                "BandName": "ContentBand",
                "discrete_field_s": [
                    {
                        "FieldID": 1134,
                        "font": "ReportTitle_Vice_2",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33",
                            "Right": 100,
                            "Top": 0,
                            "Bottom": "20",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1104,
                        "font": "ReportTitle_Vice_2",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33",
                            "Right": 100,
                            "Top": "59.7",
                            "Bottom": "80",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1312,
                        "font": "ReportTitle_Vice_2",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33",
                            "Right": 100,
                            "Top": "80",
                            "Bottom": 100,
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "FieldID": 1140,
                        "font": "ReportTitle_Vice_2",
                        "control": "Column_Left",
                        "style": "Default_None",
                        "isAutoHeight": false,
                        "area": {
                            "Left": "33",
                            "Right": 100,
                            "Top": "40.3",
                            "Bottom": "59.7",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ],
                "text_s": [
                    {
                        "Label": "中国有色金属工业第六冶金建设有限公司",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "33",
                            "Right": "100.00",
                            "Top": "20.00",
                            "Bottom": "40.30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "承包单位：",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": "0",
                            "Right": "33",
                            "Top": 0,
                            "Bottom": "20.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "总包单位：",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "33",
                            "Top": "20.00",
                            "Bottom": "40.30",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "监理单位：",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "33",
                            "Top": "40.30",
                            "Bottom": "59.70",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "建设单位：",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "33",
                            "Top": "59.70",
                            "Bottom": "80.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    },
                    {
                        "Label": "填报日期：",
                        "font": "ReportTitle_Vice_2",
                        "control": "Header_Right",
                        "style": "Default_None",
                        "Title": "",
                        "area": {
                            "Left": 0,
                            "Right": "33",
                            "Top": "80.00",
                            "Bottom": "100.00",
                            "H_CalculationType": "percentage",
                            "V_CalculationType": "percentage"
                        }
                    }
                ]
            }
        ],
        "账单式表_数据": {
            "BandName": "ContentBand",
            "bill_field_s": []
        }
    },
    "指标_数据_映射": {
        "离散指标_集合": [
            {
                "ID": 1002,
                "Name": "项目_名称",
                "DataType": "string",
                "TableName": "project",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"project\", \"name\")",
                "descr": "",
                "Title": "ID: 1002"
            },
            {
                "ID": 1102,
                "Name": "标段_合同编号",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealCode\")",
                "descr": "",
                "Title": "ID: 1102"
            },
            {
                "ID": 1300,
                "Name": "期计量信息_期数",
                "DataType": "number",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"stage\", \"order\")",
                "descr": "",
                "Title": "ID: 1300"
            },
            {
                "ID": 1311,
                "Name": "期计量信息_开始日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 0, \"\")",
                "descr": "",
                "Title": "ID: 1311"
            },
            {
                "ID": 1312,
                "Name": "期计量信息_截至日期",
                "DataType": "string",
                "TableName": "stage",
                "mapExpression": "$PROJECT.REPORT.getSplitProperty(\"stage\", \"period\", \" ~ \", 1, \"\")",
                "descr": "",
                "Title": "ID: 1312"
            },
            {
                "ID": 1104,
                "Name": "标段_建设单位",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.build.company\")",
                "descr": "",
                "Title": "ID: 1104"
            },
            {
                "ID": 1134,
                "Name": "标段_标段清单_承包单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.contract1.company\")",
                "descr": "",
                "Title": "ID: 1134"
            },
            {
                "ID": 1141,
                "Name": "标段_标段清单_监理单位1_法人代表",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.corporation\")",
                "descr": "",
                "Title": "ID: 1141"
            },
            {
                "ID": 1146,
                "Name": "标段_技术参数_开工令日期",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.startDate\")",
                "descr": "",
                "Title": "ID: 1146"
            },
            {
                "ID": 1153,
                "Name": "标段_技术参数_计划完工日期",
                "DataType": "double",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"tech_param.planEndDate\")",
                "descr": "",
                "Title": "ID: 1153"
            },
            {
                "ID": 1140,
                "Name": "标段_标段清单_监理单位1_单位名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"construction_unit.supervision1.company\")",
                "descr": "",
                "Title": "ID: 1140"
            }
        ],
        "主数据指标_集合": [],
        "从数据指标_集合": [
            {
                "ID": 1103,
                "Name": "标段_合同名称",
                "DataType": "string",
                "TableName": "tender_info",
                "mapExpression": "$PROJECT.REPORT.getProperty(\"tender_info\", \"deal_info.dealName\")",
                "descr": "",
                "Title": "ID: 1103"
            }
        ]
    },
    "映射数据预处理": [],
    "无映射离散指标_集合": [],
    "动态日期离散参数_集合": [],
    "电子签名离散指标_集合": []
}
